Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class PopupMenuMouseListener

    java.lang.Object
      java.awt.event.MouseAdapter
          edu.stanford.smi.protege.util.PopupMenuMouseListener

All Implemented Interfaces:
  MouseListener, EventListener

Direct Known Subclasses:
  TablePopupMenuMouseListener, TreePopupMenuMouseListener

    public abstract class PopupMenuMouseListener

extends MouseAdapter

An adapter that listeners for popup menu mouse events and pops up a menu. The actual menu popped up is delegated to a subclass.

Author:
  Ray Fergerson

Constructor Summary
`protected` | `PopupMenuMouseListener(JComponent c)`

Method Summary
`protected abstract JPopupMenu` | `getPopupMenu()`
`void` | `mouseClicked(MouseEvent event)`
`void` | `mousePressed(MouseEvent event)`
`void` | `mouseReleased(MouseEvent event)`
`protected abstract void` | `setSelection(JComponent c, int x, int y)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopupMenuMouseListener

    protected PopupMenuMouseListener(JComponent c)

Method Detail

### getPopupMenu

    protected abstract JPopupMenu getPopupMenu()

### mouseClicked

    public void mouseClicked(MouseEvent event)

  Specified by:
    `mouseClicked` in interface `MouseListener`
  Overrides:
    `mouseClicked` in class `MouseAdapter`

### mousePressed

    public void mousePressed(MouseEvent event)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent event)

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseAdapter`

### setSelection

    protected abstract void setSelection(JComponent c,
                                         int x,
                                         int y)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.